# Set everything up
rm -rf output
mkdir -p output
cargo clean

# Build for linux
cargo build --release
cp target/release/lemur output/lemur-linux

# Bundle for Linux
cargo bundle --release --format deb
cp target/release/bundle/deb/*.deb output

# Build for Windows
cargo build --release --target x86_64-pc-windows-msvc
cp target/x86_64-pc-windows-msvc/release/lemur.exe output

# Bundle for Windows
cargo bundle --release --target x86_64-pc-windows-msvc --format msi
cp target/x86_64-pc-windows-msvc/release/bundle/msi/Lemur.msi output

# Build for MacOS
cargo build --release --target x86_64-apple-darwin
cp target/x86_64-apple-darwin/release/lemur output/lemur-osx

# Bundle for MacOS
cargo bundle --release --target x86_64-apple-darwin --format osx
genisoimage -V lemur -D -R -apple -no-pad -o output/Lemur.dmg target/x86_64-apple-darwin/release/bundle/osx

# Clean up after ourselves
cargo clean